function te = rendezvous

% intitial value of displacement vector
y_r_0=[-1;0];

% right hand side for displacement vector
y_r_Abl=@(t,x) [0;1]-2*x/norm(x);

% activate event function; definition of function 'meeting'
% follows on line 18
opts = odeset('Events', @meeting);

% solve the IVP using opts
[t_r, y_r, te, ye, ie] = ode45(y_r_Abl, [0 1], y_r_0, opts);

end

function [value, isterminal, direction] = meeting(t, x)
% as soon as the length of the displacement vector
% is less than 1e-5, tell ode45 to terminate integration

% calculate deviation of distance from 1e-5
value = norm(x) - 1e-5;

% terminate integration when event occurs
isterminal = 1;

% specify direction of zero-crossing
direction =-1;
end